> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter Builder

> Convert a natural-language description of target companies into a structured filters object for the List Generation API.



## OpenAPI

````yaml openapi/zh/akta.json POST /apis/v1/akta/list/filter-builder
openapi: 3.1.0
info:
  description: ''
  title: Akta
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/akta/company/addition-requests
    - /apis/v1/akta/company/enrichment
    - /apis/v1/akta/company/search
    - /apis/v1/akta/industry/search
    - /apis/v1/akta/list/filter-builder
    - /apis/v1/akta/list/generate/companies
    - /apis/v1/akta/status/{request_id}
  x-aisa-document:
    facts_hash: 7ad2bb35e79170f8bebe26bf1fa819a258abc8b522c89db48b3c83294f1e6e9f
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:297b13ae403b249c39c60ae0ccc66e53cc204c8141090816e0835b4e990f3be7
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: akta
  x-aisa-catalogs:
    akta:
      title: Akta
      description: ''
      x-aisa-document:
        facts_hash: 7ad2bb35e79170f8bebe26bf1fa819a258abc8b522c89db48b3c83294f1e6e9f
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/akta/list/filter-builder:
    post:
      tags:
        - list-generation
      summary: Filter Builder
      description: >-
        Convert a natural-language description of target companies into a
        structured filters object for the List Generation API.
      operationId: post_akta_filter_builder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  description: >-
                    Natural language description of target companies (e.g.
                    'series a companies in mumbai working in climate tech').
              required:
                - query
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Response73D692Ab31Ca_TranslateQueryResponse
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response73D692Ab31Ca_TranslateQueryResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            filters:
              type: object
              description: >-
                Structured filters object equivalent to the input query, using
                dotted-path filter keys.
        credits_consumed:
          type: number
          format: float
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.